Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.form
Enum OdfButtonType

    java.lang.Object
      java.lang.Enum<OdfButtonType>
          org.odftoolkit.odfdom.dom.type.form.OdfButtonType

All Implemented Interfaces:
  Serializable, Comparable<OdfButtonType>

    public enum OdfButtonType

extends Enum<OdfButtonType>

DOM implementation of OpenDocument attribute form:button-type.

Enum Constant Summary
`PUSH`
`RESET`
`SUBMIT`
`URL`

Method Summary
`static OdfButtonType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfButtonType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfButtonType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfButtonType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### URL

    public static final OdfButtonType URL

### PUSH

    public static final OdfButtonType PUSH

### RESET

    public static final OdfButtonType RESET

### SUBMIT

    public static final OdfButtonType SUBMIT

Method Detail

### values

    public static OdfButtonType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfButtonType c : OdfButtonType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfButtonType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfButtonType>`
  Returns:
    return the name of OdfButtonType

### toString

    public static String toString(OdfButtonType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfButtonType, see form:button-type
  Returns:
    return the name of OdfButtonType

### enumValueOf

    public static OdfButtonType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfButtonType
  Returns:
    return the constant of OdfButtonType, see form:button-type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.